Skip to main content
GET
/
v1
/
candidates
/
{candidate_alias}
Get a candidate
curl --request GET \
  --url https://api.georgekats.com/v1/candidates/{candidate_alias} \
  --header 'Authorization: Bearer <token>'
{
  "candidate_alias": "<string>",
  "customer_uuid": "<string>",
  "contract": {
    "price": 123,
    "activity_window": 123,
    "review_window": 123,
    "fulfillment_condition": {
      "event": "<string>",
      "match": {},
      "field": "<string>",
      "gt": 123,
      "gte": 123,
      "lt": 123,
      "lte": 123,
      "eq": 123
    },
    "timeout_outcome": "confirm"
  },
  "status": "OPEN",
  "status_since": "2023-11-07T05:31:56Z",
  "scheduled_outcome": "CONFIRMED",
  "events": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

API token. Create one from the dashboard.

Path Parameters

candidate_alias
string
required

The candidate_alias of the candidate to retrieve.

Required string length: 8 - 255

Response

Candidate with events

candidate_alias
string
required

Caller-provided identifier for this candidate. Any string of 8–255 characters. Globally unique.

Required string length: 8 - 255
customer_uuid
string
required

The external_id of the customer this candidate belongs to.

contract
object
required

The terms of a candidate. Immutable once a candidate is created.

status
enum<string>
required
Available options:
OPEN,
PENDING,
CONFIRMED,
FAILED
status_since
string<date-time>
required

When the candidate entered its current status.

scheduled_outcome
enum<string> | null
required

Set when candidate enters PENDING. Null while OPEN.

Available options:
CONFIRMED,
FAILED
events
any[]
required